Bug 1130847 - [abrt] eclipse-pydev: strlen(): python2.7 killed by SIGSEGV
Summary: [abrt] eclipse-pydev: strlen(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf4bffa63c1260a100bbae69ccb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 03:17 UTC by shahnavaz
Modified: 2015-06-29 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:07:05 UTC


Attachments (Terms of Use)
File: backtrace (43.03 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: core_backtrace (9.18 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: dso_list (10.22 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: environ (1.68 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: maps (47.73 KB, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: open_fds (174 bytes, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details
File: var_log_messages (182 bytes, text/plain)
2014-08-18 03:17 UTC, shahnavaz
no flags Details

Description shahnavaz 2014-08-18 03:17:50 UTC
Version-Release number of selected component:
eclipse-pydev-3.5.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python -u /usr/share/eclipse/dropins/pydev/plugins/org.python.pydev_3.5.0.201405291619/pysrc/pycompletionserver.py 49788
crash_function: strlen
executable:     /usr/bin/python2.7
kernel:         3.15.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 PyString_FromFormatV at /usr/src/debug/Python-2.7.5/Objects/stringobject.c:241
 #2 PyErr_Format at /usr/src/debug/Python-2.7.5/Python/errors.c:550
 #3 type_getattro at /usr/src/debug/Python-2.7.5/Objects/typeobject.c:2615
 #4 builtin_hasattr at /usr/src/debug/Python-2.7.5/Python/bltinmodule.c:893
 #5 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #6 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #7 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
 #8 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740

Comment 1 shahnavaz 2014-08-18 03:17:52 UTC
Created attachment 927607 [details]
File: backtrace

Comment 2 shahnavaz 2014-08-18 03:17:53 UTC
Created attachment 927608 [details]
File: cgroup

Comment 3 shahnavaz 2014-08-18 03:17:54 UTC
Created attachment 927609 [details]
File: core_backtrace

Comment 4 shahnavaz 2014-08-18 03:17:54 UTC
Created attachment 927610 [details]
File: dso_list

Comment 5 shahnavaz 2014-08-18 03:17:55 UTC
Created attachment 927611 [details]
File: environ

Comment 6 shahnavaz 2014-08-18 03:17:56 UTC
Created attachment 927612 [details]
File: exploitable

Comment 7 shahnavaz 2014-08-18 03:17:56 UTC
Created attachment 927613 [details]
File: limits

Comment 8 shahnavaz 2014-08-18 03:17:57 UTC
Created attachment 927614 [details]
File: maps

Comment 9 shahnavaz 2014-08-18 03:17:58 UTC
Created attachment 927615 [details]
File: open_fds

Comment 10 shahnavaz 2014-08-18 03:17:58 UTC
Created attachment 927616 [details]
File: proc_pid_status

Comment 11 shahnavaz 2014-08-18 03:17:59 UTC
Created attachment 927617 [details]
File: var_log_messages

Comment 12 Alexander Kurtakov 2015-05-05 11:07:03 UTC
Does it occur on Fedora 21/22? Can you provide exact instructions for reproducing?

Comment 13 Fedora End Of Life 2015-05-29 12:39:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 22:07:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.